org.apache.mina.filter.codec

## Class RecoverableProtocolDecoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.mina.filter.codec.ProtocolCodecException
      - - org.apache.mina.filter.codec.ProtocolDecoderException
        - - org.apache.mina.filter.codec.RecoverableProtocolDecoderException

- All Implemented Interfaces:
    Serializable

      public class RecoverableProtocolDecoderException
      extends ProtocolDecoderException

  A special exception that tells the `ProtocolDecoder` can keep decoding even after this exception is thrown.

  Once `ProtocolCodecFilter` catches any other type of exception than `RecoverableProtocolDecoderException`, it stops calling the `ProtocolDecoder.decode(org.apache.mina.core.session.IoSession, org.apache.mina.core.buffer.IoBuffer, ProtocolDecoderOutput)` immediately and fires an `exceptionCaught` event.

  On the other hand, if `RecoverableProtocolDecoderException` is thrown, it doesn't stop immediately but keeps calling the `ProtocolDecoder` as long as the position of the read buffer changes.

  `RecoverableProtocolDecoderException` is useful for a robust `ProtocolDecoder` that can continue decoding even after any protocol violation.

  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecoverableProtocolDecoderException()`
    `RecoverableProtocolDecoderException(String message)`
    `RecoverableProtocolDecoderException(String message, Throwable cause)`
    `RecoverableProtocolDecoderException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.mina.filter.codec.ProtocolDecoderException

      `getHexdump, getMessage, setHexdump`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecoverableProtocolDecoderException

          public RecoverableProtocolDecoderException()

    - #### RecoverableProtocolDecoderException

          public RecoverableProtocolDecoderException(String message)

    - #### RecoverableProtocolDecoderException

          public RecoverableProtocolDecoderException(Throwable cause)

    - #### RecoverableProtocolDecoderException

          public RecoverableProtocolDecoderException(String message,
                                             Throwable cause)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.